## Get the payment status

### cURL

```
curl --request GET \
  --url https://api.pay.walletconnect.com/v1/gateway/payment/{id}/status \
  --header 'Api-Key: <api-key>'
```

### Python

```
import requests

url = "https://api.pay.walletconnect.com/v1/gateway/payment/{id}/status"

headers = {"Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript

```
const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};

fetch('https://api.pay.walletconnect.com/v1/gateway/payment/{id}/status', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```


```

### Possible Responses

- **200**: Payment status retrieved successfully
- **400**: Bad request
- **401**: Unauthorized
- **404**: Not found
- **500**: Internal server error

### Response Format

```
{
  "info": {
    "optionAmount": {
      "display": {
        "assetName": "USD Coin",
        "assetSymbol": "USDC",
        "decimals": 6,
        "iconUrl": "https://assets.walletconnect.com/usdc.png",
        "networkIconUrl": "https://assets.walletconnect.com/base.png",
        "networkName": "Base"
      },
      "unit": "caip19/eip155:8453/erc20:0x0000000000000000000000000000000000000000",
      "value": "1000000"
    },
    "txId": "0xabc123..."
  },
  "isFinal": true,
  "pollInMs": null,
  "status": "succeeded"
}
```

### Headers

- **Api-Key**: string, required, header
- **App-Id**: string | null
- **Client-Id**: string | null
- **WCP-Version**: string | null
- **Sdk-Name**: string | null
- **Sdk-Version**: string | null
- **Sdk-Platform**: string | null

### Path Parameters
- **id**: string, required - Payment ID (e.g., `"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"`)

### Query Parameters
- **maxPollMs**: integer<int64> | null - Maximum time to long-poll for payment status, in milliseconds. Required range: `x >= 0`
